---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - d19d0722-dc4f-53e7-8343-5a02b0fb53f0
      tier: AATSR_CMP_MONTH
      value: 0.04823440685868263
    brdf:
      alpha_1:
        band_1: 0.1969075504947475
        band_11: 0.25287752820434817
        band_12: 0.01969916431566228
        band_2: 0.1969075504947475
        band_3: 0.4830734578423181
        band_4: 0.175973728256311
        band_5: 0.175973728256311
        band_6: 0.175973728256311
        band_7: 0.7731214620003669
        band_8: 0.7731214620003669
        band_8a: 0.7731214620003669
      alpha_2:
        band_1: 0.21928992952208773
        band_11: 0.17444993224631253
        band_12: 0.23008028847275436
        band_2: 0.21928992952208773
        band_3: 0.2038920947436662
        band_4: 0.23402298051353818
        band_5: 0.23402298051353818
        band_6: 0.23402298051353818
        band_7: 0.05540856599340471
        band_8: 0.05540856599340471
        band_8a: 0.05540856599340471
      id:
      - b8bdd40d-9cd4-5665-a270-337ef85769c6
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 8770d769-6332-5aaa-8105-f9329c878a9c
      tier: DEFINITIVE
      value: 0.269
    water_vapour:
      id:
      - 42f5fc19-d6bc-5af1-ab2a-7d601c01571e
      tier: DEFINITIVE
      value: 0.40999999046325686
  id: 93a30c46-0ace-4384-88d2-6041533046ab
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1904.86399963165
      BAND-11: 234.24221994901148
      BAND-12: 81.95328099757351
      BAND-2: 1955.662470275681
      BAND-3: 1832.6499235472518
      BAND-4: 1495.966871448825
      BAND-5: 1381.2084123748994
      BAND-6: 1262.814018939964
      BAND-7: 1160.790985009308
      BAND-8: 1020.6038479346404
      BAND-8A: 930.4106856199198
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2023-08-27 01:42:51.053452Z
    atime: 2023-09-10 10:04:06Z
    ctime: 2023-08-27 07:00:42Z
    mtime: 2023-08-27 07:00:37Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2023/2023-08/15S125E-20S130E/S2B_MSIL1C_20230827T013659_N0509_R031_T52KED_20230827T035317.zip
  system_information:
    hostname: gadi-cpu-clx-0929.gadi.nci.org.au
    runtime_id: 60aa777c-4fc1-11ee-a6b0-000001a1fe80
    time_processed: 2023-09-10 10:04:06.410132Z
    uname: 'Linux gadi-cpu-clx-0929.gadi.nci.org.au 4.18.0-477.15.1.el8.nci.x86_64
      #1 SMP Sun Jul 16 11:36:47 AEST 2023 x86_64'
gqa:
  colors:
    blue: 44.0
    green: 1033.0
    red: 24.0
    teal: 195.0
    yellow: 23.0
  error_message: no errors
  final_qa_count: 1192
  granule: S2B_OPER_MSI_L1C_TL_2BPS_20230827T035317_A033805_T52KED_N05.09
  ref_date: '2014-06-02T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata-2/GCP/GQA_v3/wrs2/105/073/LC81050732014153LGN00_B6.TIF
  residual:
    abs:
      x: 0.35
      xy: 0.46
      y: 0.29
    abs_iterative_mean:
      x: 0.21
      xy: 0.27
      y: 0.17
    cep90: 0.54
    iterative_mean:
      x: 0.12
      xy: 0.12
      y: -0.01
    iterative_stddev:
      x: 0.24
      xy: 0.32
      y: 0.22
    mean:
      x: 0.09
      xy: 0.09
      y: -0.0
    stddev:
      x: 0.83
      xy: 1.07
      y: 0.66
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 99.89085304959174
    cloud: 0.004260105308210656
    cloud_shadow: 0.0034041028397384216
    snow: 0.03791958221770996
    water: 0.06356316004260106
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.9.0
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.4
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.3
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.29.7
...
